Unit McConst;

Interface

      { for Mc Vision Unit }

const tt_Oct         = $01;  { tt - Type Translete }
      tt_Dec         = $02;
      tt_Hex         = $03;
      tt_Byte        = $10;
      tt_Word        = $20;
      tt_Long        = $40;
      tt_Mask_System = $0F;
      tt_Mask_Size   = $F0;

      Hex    : String [16] = '0123456789ABCDEF';
      Oct    : String [8 ] = '01234567';
      NumByteOfLine = 8;

      { for Mc Global Unit }

      LimitMemoryMc  : Longint = 1024*32;     { 1024 Byta * 10 KByta }

      cmChangeDir       = 102;
      cmDosShell        = 103;
      cmMemoryMc        = 1000;
      cmRead            = 1001;
      cmViewStandart    = 1002;
      cmRegistersMc     = 1003;
      cmCPUMc           = 1004;
      cmTime            = 1005;
      cmDisError        = 1006;
      cmSetBreakPointer = 1007;
      cmStep            = 1008;
      cmStepCalc        = 1009;
      cmStepCalcView    = 1010;
      cmStepView        = 1011;
      cmClearDebuger    = 1012;
      cmRun             = 1013;
      cmGotoAddress     = 1014;
      cmAnimate         = 1015;
      cmReDrawMemory    = 1016;
      cmPrint           = 1017;
      cmInterupt        = 1018;
      cmAbout           = 1019;
      cmPuzzle          = 1020;
      cmStack           = 1021;
      cmStackDraw       = 1022;

      Err_McDis         = 01;

      br_Address        = $0001;    { br - Break Run }
      br_Command        = $0002;
      br_BreakPointer   = $0004;
      br_NextAddress    = $0010;
      br_View           = $8000;
      br_Time           = $4000;

type
  Code_Type = (Imm,Dir,Ind,Ext,Imp,Rel,Lst);
  Com = Record
    Name  : String[4];
    Time  : Integer;
    N_Op  : Byte;
    T_Add : Code_Type;
    Acc   : Byte;                  { A - 1; B - 2; IX- 4; SP- 8; IP-16 }
  End;

Const
  Command : Array [0..$FF] Of Com =
{00}((Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{01} (Name:'NOP '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{02} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{03} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{04} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{05} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{06} (Name:'TAP '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{07} (Name:'TPA '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{08} (Name:'INX '; Time:4; N_Op:0; T_Add:Imp; Acc:4),
{09} (Name:'DEX '; Time:4; N_Op:0; T_Add:Imp; Acc:4),
{0A} (Name:'CLV '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{0B} (Name:'SEV '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{0C} (Name:'CLC '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{0D} (Name:'SEC '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{0E} (Name:'CLI '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{0F} (Name:'SEI '; Time:2; N_Op:0; T_Add:Imp; Acc:0),
{10} (Name:'SBA '; Time:2; N_Op:0; T_Add:Imp; Acc:3),
{11} (Name:'CBA '; Time:2; N_Op:0; T_Add:Imp; Acc:3),
{12} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{13} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{14} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{15} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{16} (Name:'TAB '; Time:2; N_Op:0; T_Add:Imp; Acc:3),
{17} (Name:'TBA '; Time:2; N_Op:0; T_Add:Imp; Acc:3),
{18} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{19} (Name:'DAA '; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{1A} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{1B} (Name:'ABA '; Time:2; N_Op:0; T_Add:Imp; Acc:3),
{1C} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{1D} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{1E} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{1F} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{20} (Name:'BRA '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{21} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{22} (Name:'BHI '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{23} (Name:'BLS '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{24} (Name:'BCC '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{25} (Name:'BCS '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{26} (Name:'BNE '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{27} (Name:'BEQ '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{28} (Name:'BVC '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{29} (Name:'BVS '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2A} (Name:'BPL';  Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2B} (Name:'BMI '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2C} (Name:'BGE '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2D} (Name:'BLT '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2E} (Name:'BGT '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{2F} (Name:'BLE '; Time:4; N_Op:1; T_Add:Rel; Acc:0),
{30} (Name:'TSX '; Time:4; N_Op:0; T_Add:Imp; Acc:4),
{31} (Name:'INS '; Time:4; N_Op:0; T_Add:Imp; Acc:8),
{32} (Name:'PULA'; Time:4; N_Op:0; T_add:Imp; Acc:1),
{33} (Name:'PULB'; Time:4; N_Op:0; T_Add:Imp; Acc:2),
{34} (Name:'DES '; Time:4; N_Op:0; T_Add:Imp; Acc:8),
{35} (Name:'TXS '; Time:4; N_Op:0; T_Add:Imp; Acc:8),
{36} (Name:'PSHA'; Time:4; N_Op:0; T_Add:Imp; Acc:1),
{37} (Name:'PSHB'; Time:4; N_Op:0; T_Add:Imp; Acc:2),
{38} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{39} (Name:'RTS '; Time:5; N_Op:0; T_Add:Imp; Acc:0),
{3A} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{3B} (Name:'RTI '; Time:10; N_Op:0; T_Add:Imp; Acc:0),
{3C} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{3D} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{3E} (Name:'WAI '; Time:9; N_Op:0; T_Add:Imp; Acc:0),
{3F} (Name:'SWI '; Time:12; N_Op:0; T_Add:Imp; Acc:0),
{40} (Name:'NEGA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{41} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{42} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{43} (Name:'COMA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{44} (Name:'LSRA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{45} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{46} (Name:'RORA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{47} (Name:'ASRA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{48} (Name:'ASLA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{49} (Name:'ROLA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{4A} (Name:'DECA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{4B} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{4C} (Name:'INCA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{4D} (Name:'TSTA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{4E} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{4F} (Name:'CLRA'; Time:2; N_Op:0; T_Add:Imp; Acc:1),
{50} (Name:'NEGB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{51} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{52} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{53} (Name:'COMB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{54} (Name:'LSRB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{55} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{56} (Name:'RORB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{57} (Name:'ASRB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{58} (Name:'ASLB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{59} (Name:'ROLB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{5A} (Name:'DECB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{5B} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{5C} (Name:'INCB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{5D} (Name:'TSTB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{5E} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{5F} (Name:'CLRB'; Time:2; N_Op:0; T_Add:Imp; Acc:2),
{60} (Name:'NEG '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{61} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{62} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{63} (Name:'COM '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{64} (Name:'LSR '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{65} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{66} (Name:'ROR '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{67} (Name:'ASR '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{68} (Name:'ASL '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{69} (Name:'ROL '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{6A} (Name:'DEC '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{6B} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{6C} (Name:'INC '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{6D} (Name:'TST '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{6E} (Name:'JMP '; Time:4; N_Op:1; T_Add:Ind; Acc:0),
{6F} (Name:'CLR '; Time:7; N_Op:1; T_Add:Ind; Acc:0),
{70} (Name:'NEG '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{71} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{72} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{73} (Name:'COM '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{74} (Name:'LSR '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{75} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{76} (Name:'ROR '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{77} (Name:'ASR '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{78} (Name:'ASL '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{79} (Name:'ROL '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{7A} (Name:'DEC '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{7B} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{7C} (Name:'INC '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{7D} (Name:'TST '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{7E} (Name:'JMP '; Time:3; N_Op:2; T_Add:Ext; Acc:0),
{7F} (Name:'CLR '; Time:6; N_Op:2; T_Add:Ext; Acc:0),
{80} (Name:'SUBA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{81} (Name:'CMPA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{82} (Name:'SBCA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{83} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{84} (Name:'ANDA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{85} (Name:'BITA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{86} (Name:'LDAA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{87} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{88} (Name:'EORA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{89} (Name:'ADCA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{8A} (Name:'ORAA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{8B} (Name:'ADDA'; Time:2; N_Op:1; T_Add:Imm; Acc:1),
{8C} (Name:'CPX '; Time:3; N_Op:2; T_Add:Imm; Acc:4),
{8D} (Name:'BSR '; Time:8; N_Op:1; T_Add:Rel; Acc:0),
{8E} (Name:'LDS '; Time:3; N_Op:2; T_Add:Imm; Acc:8),
{8F} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{90} (Name:'SUBA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{91} (Name:'CMPA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{92} (Name:'SBCA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{93} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{94} (Name:'ANDA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{95} (Name:'BITA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{96} (Name:'LDAA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{97} (Name:'STAA'; Time:4; N_Op:1; T_Add:Dir; Acc:1),
{98} (Name:'EORA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{99} (Name:'ADCA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{9A} (Name:'ORAA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{9B} (Name:'ADDA'; Time:3; N_Op:1; T_Add:Dir; Acc:1),
{9C} (Name:'CPX '; Time:4; N_Op:1; T_Add:Dir; Acc:4),
{9D} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{9E} (Name:'LDS '; Time:4; N_Op:1; T_Add:Dir; Acc:8),
{9F} (Name:'STS '; Time:5; N_Op:1; T_Add:Dir; Acc:8),
{A0} (Name:'SUBA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A1} (Name:'CMPA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A2} (Name:'SBCA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A3} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{A4} (Name:'ANDA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A5} (Name:'BITA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A6} (Name:'LDAA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A7} (Name:'STAA'; Time:6; N_Op:1; T_Add:Ind; Acc:1),
{A8} (Name:'EORA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{A9} (Name:'ADCA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{AA} (Name:'ORAA'; Time:5; N_Op:1; T_Add:Ind; Acc:1),
{AB} (Name:'ADDA'; Time:5; N_Op:2; T_Add:Ind; Acc:1),
{AC} (Name:'CPX '; Time:6; N_Op:1; T_Add:Ind; Acc:4),
{AD} (Name:'JSR '; Time:8; N_Op:1; T_Add:Ind; Acc:0),
{AE} (Name:'LDS '; Time:6; N_Op:1; T_Add:Ind; Acc:8),
{AF} (Name:'STS '; Time:7; N_Op:1; T_Add:Ind; Acc:8),
{B0} (Name:'SUBA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B1} (Name:'CMPA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B2} (Name:'SBCA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B3} (Name:'    '; Time:0; N_Op:2; T_Add:Lst; Acc:0),
{B4} (Name:'ANDA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B5} (Name:'BITA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B6} (Name:'LDAA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B7} (Name:'STAA'; Time:5; N_Op:2; T_Add:Ext; Acc:1),
{B8} (Name:'EORA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{B9} (Name:'ADCA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{BA} (Name:'ORAA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{BB} (Name:'ADDA'; Time:4; N_Op:2; T_Add:Ext; Acc:1),
{BC} (Name:'CPX '; Time:5; N_Op:2; T_Add:Ext; Acc:4),
{BD} (Name:'JSR '; Time:9; N_Op:2; T_Add:Ext; Acc:0),
{BE} (Name:'LDS '; Time:5; N_Op:2; T_Add:Ext; Acc:8),
{BF} (Name:'STS '; Time:6; N_Op:2; T_Add:Ext; Acc:8),
{C0} (Name:'SUBB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C1} (Name:'CMPB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C2} (Name:'SBCB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C3} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{C4} (Name:'ANDB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C5} (Name:'BITB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C6} (Name:'LDAB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C7} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{C8} (Name:'EORB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{C9} (Name:'ADCB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{CA} (Name:'ORAB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{CB} (Name:'ADDB'; Time:2; N_Op:1; T_Add:Imm; Acc:2),
{CC} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{CD} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{CE} (Name:'LDX '; Time:3; N_Op:2; T_Add:Imm; Acc:4),
{CF} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{D0} (Name:'SUBB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D1} (Name:'CMPB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D2} (Name:'SBCB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D3} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{D4} (Name:'ANDB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D5} (Name:'BITB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D6} (Name:'LDAB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D7} (Name:'STAB'; Time:4; N_Op:1; T_Add:Dir; Acc:2),
{D8} (Name:'EORB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{D9} (Name:'ADCB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{DA} (Name:'ORAB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{DB} (Name:'ADDB'; Time:3; N_Op:1; T_Add:Dir; Acc:2),
{DC} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{DD} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{DE} (Name:'LDX '; Time:4; N_Op:1; T_Add:Dir; Acc:4),
{DF} (Name:'STX '; Time:5; N_Op:1; T_Add:Dir; Acc:4),
{E0} (Name:'SUBB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E1} (Name:'CMPB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E2} (Name:'SBCB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E3} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{E4} (Name:'ANDB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E5} (Name:'BITB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E6} (Name:'LDAB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{E7} (Name:'STAB'; Time:6; N_Op:1; T_Add:Ind; Acc:2),
{E8} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{E9} (Name:'ADCB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{EA} (Name:'ORAB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{EB} (Name:'EORB'; Time:5; N_Op:1; T_Add:Ind; Acc:2),
{EC} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{ED} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{EE} (Name:'LDX '; Time:6; N_Op:1; T_Add:Ind; Acc:4),
{EF} (Name:'STX '; Time:7; N_Op:1; T_Add:Ind; Acc:4),
{F0} (Name:'SUBB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F1} (Name:'CMPB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F2} (Name:'SBCB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F3} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{F4} (Name:'ANDB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F5} (Name:'BITB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F6} (Name:'LDAB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F7} (Name:'STAB'; Time:5; N_Op:2; T_Add:Ext; Acc:2),
{F8} (Name:'EORB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{F9} (Name:'ADCB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{FA} (Name:'ORAB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{FB} (Name:'ADDB'; Time:4; N_Op:2; T_Add:Ext; Acc:2),
{FC} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{FD} (Name:'    '; Time:0; N_Op:0; T_Add:Lst; Acc:0),
{FE} (Name:'LDX '; Time:5; N_Op:2; T_Add:Ext; Acc:4),
{FF} (Name:'STX '; Time:6; N_Op:2; T_Add:Ext; Acc:4));

Implementation

END.